Subject: RE: [mobile-ip] draft-ietf-mobileip-ipv6-13: Trade-off in Mobile Prefix advertisements

From: "Powell, Ken" <[email-masked]>
Date: Fri, 25 May 2001 09:04:31 -0400

Your right, this comment applies more to draft 13. I
see how using the term Mobile Prefix Advertisement instead
of draft 13's router advertisement does cause confusion.
Sorry about that.

Ken

> -----Original Message-----
> From: T.J. Kniveton [mailto:[email-masked]]
> Sent: Thursday, May 24, 2001 10:29 PM
> To: [email-masked]
> Subject: Re: [mobile-ip] draft-ietf-mobileip-ipv6-13: Trade-off in
> Mobile Prefix advertisements
> 
> 
> Thanks for your comments on the prefix issues, Ken. I must 
> admit that I
> have been a bit slow to respond to mailing list mail- I've 
> been serving
> on a jury which keeps me away from computers for most of the day.
> 
> It looks like you are commenting on Draft 13 of the Mobile IPv6 spec
> here, and of course the Mobile Prefix Advertisements do not 
> exist until
> version 14, so it's a little difficult to comment on how they relate,
> but I'll try to do so in a general way:
> 
> In draft 13, there was a lot of rules for how to process 
> prefix changes
> and disseminate this information to mobile nodes while away from home.
> When I made changes to the draft, I tried to simplify these 
> rules, since
> they require a fair bit of processing and state as you noted. 
> It was not
> straight-forward to fully get rid of this, but I did try to reduce it.
> 
> Do you have a specific problem with the changed set of 
> requirements, or
> is it more of a problem with draft 13?
> 
> -TJ
> 
> "Powell, Ken" wrote:
> > 
> > Vlad Yasevich and I were looking at the implementation impacts
> > of draft-ietf-mobileip-ipv6-13 section 9.8.2. This section
> > requires a home agent implementation build a list of changed
> > prefixes and schedule an advertisement with just the changes
> > when home network prefix information changes. In addition,
> > section 9.8.3 requires that the changed prefixes be retransmitted
> > until acked by a mobile node. This processing to support lists
> > of changed prefixes will have to be performed independently for
> > each mobile node, with perhaps thousands of mobile nodes on some
> > home agents.
> > 
> > We understand that the reason for sending only the changed prefix
> > information instead of all prefix information is to reduce the
> > connection costs for the mobile nodes on expensive wireless
> > networks. Does the expected network cost savings justify the
> > algorithm complexity that will be necessary to meet this
> > requirement?
> > 
> > We assume most home networks will have only 1 prefix, 2 during
> > renumbering events. It will probably be very rare for any home
> > network to have more than 4 prefixes even with multihoming.
> > The prefix information on production networks are likely to change
> > very infrequently. I expect no more than a few times in any given
> > year. Do these assumptions sound correct? If so, we don't see how
> > sending the unchanged prefixes will add any noticeable cost to the
> > mobile node's connection.
> > 
> > Ken
> 
> -- 
> T.J. Kniveton
> NOKIA Research
>